"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const RedoSVG_1 = tslib_1.__importDefault(require("./RedoSVG"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
function RedoButton(props) {
    const { redoText = 'Retake Quiz', disabled } = props, rest = tslib_1.__rest(props, ["redoText", "disabled"]);
    const { getResetQuizButtonProps } = (0, react_1.useContext)(context_1.default);
    if (getResetQuizButtonProps) {
        return (
        // eslint-disable-next-line react/button-has-type
        react_1.default.createElement("button", Object.assign({}, rest, getResetQuizButtonProps('secondary')),
            react_1.default.createElement(RedoSVG_1.default, null),
            react_1.default.createElement("span", null, redoText)));
    }
    return null;
}
exports.default = RedoButton;
