"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const BackButton_1 = tslib_1.__importDefault(require("../BackButton/BackButton"));
const CTAButton_1 = tslib_1.__importDefault(require("../CTAButton/CTAButton"));
const SkipButton_1 = tslib_1.__importDefault(require("../SkipButton/SkipButton"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
function ControlBar(props) {
    const { ctaButtonText } = props;
    const { getNextQuestionButtonProps, getSkipQuestionButtonProps } = (0, react_1.useContext)(context_1.default);
    return (react_1.default.createElement("div", { className: 'cio-question-buttons-container' },
        react_1.default.createElement(BackButton_1.default, null),
        react_1.default.createElement("div", { className: 'cio-question-buttons-group' },
            react_1.default.createElement(SkipButton_1.default, { propsGetters: getSkipQuestionButtonProps }),
            react_1.default.createElement(CTAButton_1.default, { ctaText: ctaButtonText, propsGetters: getNextQuestionButtonProps }))));
}
exports.default = ControlBar;
