import React, { useContext } from 'react';
import QuizContext from '../CioQuiz/context';
function ResultFilters({ hasNoResults }) {
    const { state } = useContext(QuizContext);
    return (React.createElement("div", { className: 'cio-results-filter-container' },
        React.createElement("p", null, hasNoResults ? 'Your preferences' : 'Because you answered'),
        React.createElement("div", { className: 'cio-results-filter-options' }, state?.quiz.selectedOptionsWithAttributes?.map((option) => (React.createElement("div", { className: 'cio-results-filter-option', key: option }, option))))));
}
export default ResultFilters;
